<?php
// Фильтрация цисловых данных
function num($var)
{
    return abs(intval($var));
}

// Фильтрация текстовых данных
function txt($var)
{
    return htmlspecialchars(trim($var));
}

// Фильтрация перед записью в базу данных
function input($var)
{
    return mysql_real_escape_string(trim($var));
}

// Фильтрация для правильного вывода из базы данных
function output($var)
{
    return nl2br(stripslashes($var));
}

// Шифрование пароля
function encrypt($var)
{
    return md5(base64_encode($var) .'TLg7S7'); // TLg7S7 - чисто для шифрования
}

// Проверка длины русских символов
function strlen_rus($var)
{
    $rus_symbols = array('а', 'б', 'в', 'г', 'д', 'е', 'ё', 'ж', 'з', 'и', 'й', 'к', 'л', 'м', 'н', 'о', 'п', 'р', 'с', 'т', 'у', 'ф', 'х', 'ц', 'ч', 'ш', 'щ', 'ъ', 'ы', 'ь', 'э', 'ю', 'я', 'А', 'Б', 'В', 'Г', 'Д', 'Е', 'Ё', 'Ж', 'З', 'И', 'Й', 'К', 'Л', 'М', 'Н', 'О', 'П', 'Р', 'С', 'Т', 'У', 'Ф', 'Х', 'Ц', 'Ч', 'Ш', 'Щ', 'Ъ', 'Ы', 'Ь', 'Э', 'Ю', 'Я');

    return strlen(str_replace($rus_symbols, '0', $var));
}

// Обработка времени
function vtime($var)
{
    # Если время не задано берем текущее
    if ($var == NULL) $var = time();

    # Время + Дата
    $full_time = date('d.m.Y в H:i', $var);

    # Дата
    $date = date('d.m.Y', $var);

    # Время
    $time = date('H:i', $var);

    # Если текущаяя дата совпадает с заданной
    if ($date == date('d.m.Y')) $full_time = date('Сегодня в H:i', $var);

    # Вчерашняя дата
    if ($date == date('d.m.Y', time()-60*60*24)) $full_time = date('Вчера в H:i', $var);

    return $full_time;
}

# Получения настроек из базы данных
$sql_system = mysql_query("SELECT * FROM `system`");

while ($var_system = mysql_fetch_array($sql_system))
{
    $system[$var_system[0]] = $var_system[1];
}

# IP адрес
$system['ip'] = input($_SERVER['REMOTE_ADDR']);

# Браузер
$system['browser'] = input($_SERVER['HTTP_USER_AGENT']);

# Подключение файлов из папки /autoload/
$dir = opendir(HOME .'/autoload/');

while ($file = readdir($dir))
{
    if (preg_match('/\.php$/i', $file)) require_once(HOME .'/autoload/'. $file);
}

// Подключение библиотек
function require_lib($var)
{
    if (file_exists(HOME .'/libs/'. $var)) require_once(HOME .'/libs/'. $var);
    else exit('Невозможно подключить библиотеку '. $var);
}


//Вывод часов
function core_time()
{
echo date ('H:i:s');   
}
//Определение части дня
function core_day_time()
{
    $h = date ( ' H ' );
    $i = date ( ' i ' );
    if ($h>=0 && $h<=4)
    {$hi='<div class="foot">Доброй ночи</div>';}
    elseif ($h>=4 && $h<=12)
    {$hi='<div class="foot">Доброе утро!</div>';}
    elseif ($h>=12 && $h<=17)
    {$hi='<div class="foot">Добрый день!</div>';}
    elseif ($h>=17 && $h<=22)
    {$hi='<div class="foot">Добрый Вечер!</div>';}
    elseif ($h>=22 && $h<=23)
    {$hi='<div class="foot">Доброй ночи!</div>';}
echo "$hi";
}
//Вывод настроек ядра!
$Core_setting = mysql_query('SELECT * FROM `core`;');

while($set = mysql_fetch_assoc($Core_setting)){
$Core_setup[$set['name']] = $set['value'];
}
$Core_Name = $Core_setup['name'];
$Core_Copy = $Core_setup['copy'];
$Core_Browsers_Name = $Core_setup['browse'];
$Core_Opis = $Core_setup['opis'];
$Last_News = $Core_setup['lastnews'];
$Core_Version = $Core_setup['version'];
$Core_Description = $Core_setup['description'];
$Core_Keywords = $Core_setup['keywords'];
$wap="/style/Wap_style.css";
$web="/style/Web_style.css";
$Core_Head_Ads = $Core_setup['headads'];
$Core_Foot_Ads = $Core_setup['footads'];
$Core_Count = $Core_setup['count'];
// Вывод ошибок
function error($var)
{
    if (!empty($var)) echo '<div class="main">'. $var .'</div>';
}
function adsv()
{
 $postcountl = mysql_result(mysql_query("SELECT COUNT(*) FROM `ads` WHERE `type`= '1'"), 0);        

$postsl = mysql_query(" SELECT * FROM `ads` WHERE `type`= '1' ORDER BY `id` DESC ");
while($postl = mysql_fetch_assoc($postsl)){
$namel = $postl['name'];
$linkl = $postl['link'];
$autorl = $postl['autor'];
$timel = $postl['time'];
$idal = $postl['id'];
echo '<div class="ads">
<img src="/design/images/ads.gif"> <a href="http://'.output($linkl).'">'.output($namel).'</a><br />
</div>';
}
}
function adsn()
{
 $postcountly = mysql_result(mysql_query("SELECT COUNT(*) FROM `ads` WHERE `type`= '2'"), 0);        

$postsly = mysql_query(" SELECT * FROM `ads` WHERE `type`= '2' ORDER BY `id` DESC ");
while($postly = mysql_fetch_assoc($postsly)){
$namely = $postly['name'];
$linkly = $postly['link'];
$autorly = $postly['autor'];
$timely = $postly['time'];
$idaly = $postly['id'];
echo '<div class="ads">
<img src="/design/images/ads.gif"><a href="http://'.output($linkly).'">'.output($namely).'</a><br />
</div>';
}
}
function smiles($text) {
	$text = strtr($text, array(
		'*улыбка*' => '<img src="/design/smiles/smile.gif" alt="smile" />',
		'*крик*' => '<img src="/design/smiles/aaa.gif" alt="smile" />',
		'*печаль*' => '<img src="/design/smiles/grus.gif" alt="smile" />',
		'*смех*' => '<img src="/design/smiles/D.gif" alt="smile" />',
		'*ого*' => '<img src="/design/smiles/obana.gif" alt="smile" />',
		'*лол*' => '<img src="/design/smiles/xaxa.gif" alt="smile" />',
		'*обида*' => '<img src="/design/smiles/be.gif" alt="smile" />',
 ));
	return $text;
}
function size_file($var){
$mb="1024";
$sizekb= $var/$mb;
$size= $sizekb/1024;
echo '<div class="menu"><b>Вес :</b> '.round($size,2).' mb</div>';
}

?>