CREATE TABLE IF NOT EXISTS `ads` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(32) NOT NULL,
  `link` varchar(640) NOT NULL,
  `time` varchar(60) NOT NULL,
  `type` varchar(500) NOT NULL,
  `autor` varchar(500) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;


CREATE TABLE IF NOT EXISTS `besed` (
  `id` int(11) NOT NULL auto_increment,
  `autor` varchar(32) NOT NULL,
  `text` varchar(640) NOT NULL,
  `time` varchar(60) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `core` (
  `id` int(16) unsigned NOT NULL auto_increment,
  `name` text NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;


INSERT INTO `core` (`id`, `name`, `value`) VALUES
(1, 'name', 'WLCMS'),
(2, 'browse', 'WLCMS'),
(3, 'opis', 'CMS для вашего сайта'),
(4, 'version', 'wap'),
(5, 'description', 'des'),
(6, 'keywords', 'key'),
(9, 'count', '<a href="/design/images/count.gif"><img src="/design/images/count.gif"></a></br>'),
(10, 'lastnews', 'Новостей нет'),
(11, 'copy', 'Powered by WLCMS');


CREATE TABLE IF NOT EXISTS `lenta` (
  `id` int(11) NOT NULL auto_increment,
  `autor` varchar(32) NOT NULL,
  `text` varchar(640) NOT NULL,
  `time` varchar(60) NOT NULL,
  `name` varchar(500) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;


CREATE TABLE IF NOT EXISTS `loads` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(32) NOT NULL,
  `opis` varchar(640) NOT NULL,
  `type` varchar(60) NOT NULL,
  `cat_id` varchar(60) NOT NULL,
  `size` varchar(600) NOT NULL,
  `link` varchar(600) NOT NULL,
  `time` varchar(500) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `loads_cat` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(32) NOT NULL,
  `opis` varchar(640) NOT NULL,
  `type` varchar(60) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `mail` (
  `id` int(11) NOT NULL auto_increment,
  `autor` varchar(320) NOT NULL,
  `pol` varchar(320) NOT NULL,
  `text` varchar(640) NOT NULL,
  `time` varchar(600) NOT NULL,
  `read` varchar(600) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;


CREATE TABLE IF NOT EXISTS `newscomm` (
  `id` int(11) NOT NULL auto_increment,
  `autor` varchar(32) NOT NULL,
  `text` varchar(640) NOT NULL,
  `time` varchar(60) NOT NULL,
  `news` varchar(500) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;



CREATE TABLE IF NOT EXISTS `system` (
  `key` text NOT NULL,
  `value` text NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(32) NOT NULL,
  `password` varchar(64) NOT NULL,
  `date_reg` int(11) NOT NULL,
  `date_last_entry` int(11) NOT NULL,
  `level` int(16) NOT NULL default '1',
  `name` varchar(50) NOT NULL,
  `fname` varchar(50) NOT NULL,
  `about` varchar(50) NOT NULL,
  `icq` varchar(50) NOT NULL,
  `email` varchar(70) NOT NULL,
  `site` varchar(50) NOT NULL,
  `ban` int(16) NOT NULL default '1',
  `bantime` varchar(60) NOT NULL,
  `sex` int(16) NOT NULL,
  `money` int(16) NOT NULL default '0',
  `last` varchar(10000) NOT NULL,
  `avatar` varchar(500) NOT NULL default '/files/avatars/sys/no_avatar.png',
  `object` int(9) NOT NULL default '6',
  `last_mess` varchar(5000) NOT NULL,
  `last_mess_text` varchar(5000) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=0 ;